View Issue Details

IDProjectCategoryView StatusLast Update
0004380SymmetricDSBugpublic2020-06-04 13:55
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.8 
Target Version3.11.9Fixed in Version3.11.9 
Summary0004380: Systemd installation: need to specify -Djava.io.tmpdir on command line in systemd control file
DescriptionDescription Because the /tmp directory can be mounted with the noexec option, we need to specify the -Djava.io.tmpdir system property when running the wrapper from systemd service file.

The same value that is put into the sym_service.conf file should be put into the SymmetricDS.service file when installing for systemd.
Tagsinstall

Relationships

related to 0004358 closedpmarzullo JNA error from systemd on RHEL 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 f8fa5586

2020-04-29 20:01:15

Philip Marzullo

Details Diff
0004380: Systemd installation: need to specify -Djava.io.tmpdir on
command line in systemd control file

0004380
mod - symmetric-wrapper/src/main/resources/symmetricds.systemd Diff File

Issue History

Date Modified Username Field Change
2020-04-29 20:00 pmarzullo New Issue
2020-04-29 20:00 pmarzullo Status new => assigned
2020-04-29 20:00 pmarzullo Assigned To => pmarzullo
2020-04-29 20:00 pmarzullo Tag Attached: install
2020-04-29 20:03 pmarzullo Status assigned => resolved
2020-04-29 20:03 pmarzullo Resolution open => fixed
2020-04-29 20:03 pmarzullo Fixed in Version => 3.11.9
2020-05-22 13:35 elong Relationship added related to 0004358
2020-05-26 12:37 elong Status resolved => closed
2020-06-04 13:55 Changeset attached => SymmetricDS 3.11 f8fa5586